%define pyver 2.3
%define name adns-python
%define version 1.0.0
%define release 2mdk

Summary: Python bindings for GNU adns library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Development/Python
Requires: python = %pyver
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: python-devel >= %{pyver} libadns1-devel
URL: http://dustman.net/andy/python/adns-python

%description
adns-python is a Python module that interfaces to the adns asynchronous
resolver library.

http://www.gnu.org/software/adns/

%prep
%setup -q

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc license.py GPL README
%{_libdir}/python%{pyver}/site-packages/*

%changelog
* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-2mdk
- rebuild for new python
- drop Prefix tag
- don't generate and use file list in %%files
- quiet setup

* Thu Apr 23 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.0.0-1mdk
- First Package
